<?php
session_start();
error_reporting(0);
$role=$_SESSION['role'];
$user_name=$_SESSION['user_name'];
	set_magic_quotes_runtime(0);
	if(!@$_SESSION['user_name']){ 
		header('Location: index.php');
	}
	include("database_connection.php");
	$date=date('d-M-Y'); 

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>View:Fereport</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<?php //title();?>
<link type="text/css" rel="stylesheet" href="Library/css/style-menu.css"   />
<link type="text/css" rel="stylesheet" href="Library/css/style-content.css"   />
<script type="text/javascript" src="Library/js/jquery-1.3.1.min.js" > </script> 
<script type="text/javascript">

    function PrintElem(elem)
    {
        Popup($(elem).html());
    }

    function Popup(data) 
    {
        var mywindow = window.open('', 'Billing Application Dashboard', 'height=650,width=750');
        mywindow.document.write('<html><head><title>Billing Application Dashboard</title>');
        /*optional stylesheet*/ //mywindow.document.write('<link rel="stylesheet" href="main.css" type="text/css" />');
        mywindow.document.write('</head><body >');
        mywindow.document.write(data);
        mywindow.document.write('</body></html>');

        mywindow.print();
        mywindow.close();

        return true;
    }

</script>


<style>
.borderHeader{
	border:1px;
	border-style:solid;
	height:73px;
	background-color:white;
}
.centerimage{
	margin-top:20px;
}
.pagename
{
	text-align:center;
	margin-top:-60px;
	color:#8B0000;
}

.airtellogo
{
   margin-top:-60px;

}	
.center {
 text-align: center
}
td { 
	
	height:15px;
}
</style>
<link type="text/css" href="menu/menu_admin.css" rel="stylesheet" />
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
<script language="JavaScript" src="newdate/calendar_us.js"></script>
  <link rel="stylesheet" href="newdate/calendar.css">


</head>
<body>
	<div class="borderHeader">

	<div align=left><img src="images/kmspl.PNG" /></div><div class="pagename"><h2>VIEW FE REPORT  <?php echo $date;?></h2></div>
</div>
	<?php 
	if(($_SESSION['uniqe_id']=='S'))
	{
	include("menu/menu_superadmin.php");
	}
	else
	{
	header('Location: index.php');
	}
	?>
	<form method="post" action=" " name="view_fereporttoday" id="view_fereporttoday">
	<?php
	if(isset($_POST['txtsubmit']) && $_POST['txtsubmit']=='REFRESH')
	{
	$_POST['dump_date']='';
	$_POST['dump_date1']='';
	$_POST['zone']='';
	}
	if(isset($_POST['txtsubmit']) && $_POST['txtsubmit']=='SEARCH')
 	{  
	$dump_date=$_POST['dump_date'];
	$dump_date1=$_POST['dump_date1'];
	$zone=$_POST['zone'];
	}

	date_default_timezone_set('Asia/Calcutta');
	?>
	<table style="width:100%"   align="center"> 
	<tr>
	<td align="center" style="width:85%;">
	<table  border="1" bgcolor="white" style="width:85%;" class="table table-striped" > 
	<tr>
	<td align="center" ><b>Date</b> &nbsp;<input type ="text" name="dump_date" value="<?php echo $_POST['dump_date'];?>" style="width:100px; height"35px;"; required />
	  <script language="JavaScript">

                        new tcal ({

                            // form name

                            'formname': 'view_fereporttoday',

                            // input name

                            'controlname': 'dump_date'

                        });
                    </script>
		   &nbsp;&nbsp;<b>Zone</b> &nbsp;&nbsp;
				<select name="zone" id="zone"  style="width:200px;height:35px;" required >
				<option value="<?php echo $_POST['zone'];?>"><?php echo $_POST['zone'];?></option>
				<option value="DELHI NCR">DELHI NCR</option>
				<option value="NATIONAL">NATIONAL</option>				
				</select>
 &nbsp;&nbsp;<input type="submit" name="txtsubmit"  value="SEARCH" id="searchbutton" > 
		
			<input type="submit" name="txtsubmit"  value="REFRESH" id="searchbutton"> 
	<!--<table style="width:100%"   align="center"> 
	<tr>
	<td align="center" style="width:85%;">
	<table  border="1" bgcolor="white" style="width:85%;" class="table table-striped" > 
	<tr>
	<td align="center" ><a href="export_fereporttoday.php"><b>Export Data</b></a></td>
	</tr>
	</table>-->
	</td>
	</tr>
	</table>
	<table style="width:100%"   align="center"> 
	<tr>
	<td align="center" style="width:85%;">
	<table  border="1" bgcolor="white" style="width:85%;" class="table table-striped" > 
	<thead>
	<tr height="25">
				<th class="center" ><b>Sr No</b></th>				
				<th class="center"><b>Fe Name</b></th>				
				<th class="center"><b>Mobile No</b></th>
				<th class="center"><b>Zone</b></th>
				<th class="center"><b>City</b></th>
				<th class="center"><b>First Attempt</b></th>
				<th class="center"><b>Last Attempt</b></th>
				<th class="center"><b>Allocation</b></th>
				<th class="center"><b>Done</b></th>
				<th class="center"><b>Pending</b></th>
			</tr>
		 </thead>
		 <tbody>
		<?php
		$dump_date1=$dump_date ;
		
		$sqlut="select max(unix_time) as maxut from allocation_tbl where dump_date='$dump_date' " ;
		$resultut=mysql_query($sqlut);
		$dataut=mysql_fetch_array($resultut);
		$unix_time=$dataut['maxut'];
		$dy=explode('-',$dump_date1);
		$y=$dy[2];
		if($dump_date and $zone=="DELHI NCR")
		{
		
			$queryr="SELECT distinct(allocation_tbl.user_code) FROM `allocation_tbl`,`user_tbl` WHERE   allocation_tbl.report_date= '$dump_date'  and allocation_tbl.user_code !='2000001918' and allocation_tbl.user_code=user_tbl.user_code  and user_tbl.zone in ('EAST','CENTRAL','GHAZIABAD','NOIDA','NORTH','SOUTH','WEST','FARIDABAD','GURGAON') and (allocation_tbl.month like '%$y%' )  order by user_tbl.zone asc";
	}
	elseif($dump_date and $zone=="NATIONAL")
	{
	$queryr="SELECT distinct(allocation_tbl.user_code) FROM `allocation_tbl`,`user_tbl` WHERE  allocation_tbl.report_date = '$dump_date'  and allocation_tbl.user_code !='2000001918' and allocation_tbl.user_code=user_tbl.user_code  and user_tbl.zone not in ('EAST','CENTRAL','GHAZIABAD','NOIDA','NORTH','SOUTH','WEST','FARIDABAD','GURGAON') and (allocation_tbl.month like '%$y%' )  order by user_tbl.zone asc";
	}
	else
	{
	}
	$resultr = MYSQL_QUERY($queryr);
		
	 $j=1;
	while($data=mysql_fetch_array($resultr)) {
	
	$user_code=$data['user_code'];
	$sqlfe="select first_name,last_name,mobile,zone,location from user_tbl where user_code='$user_code' ";
	$resultuser=mysql_query($sqlfe);
	$datauser=mysql_fetch_array($resultuser); 
	$sqlattempt="select report_time from allocation_tbl where  user_code='$user_code' and report_date = '$dump_date'  and month like '%$y%'  order by feunixtime asc ";
	$resultattempt=mysql_query($sqlattempt);
	$dataattempt=mysql_fetch_array($resultattempt); 
	$sqlattemptl="select report_time from allocation_tbl where  user_code='$user_code' and report_date = '$dump_date'  and month like '%$y%'  order by feunixtime desc ";
	$resultattemptl=mysql_query($sqlattemptl);
	$dataattemptl=mysql_fetch_array($resultattemptl); 
	
	$uploaddate=$dataattempt['report_time'];
	$datevisit=$dataattemptl['report_time'];
		$timestamp= strtotime($uploaddate);
		$timestamp1= strtotime($datevisit);
		 $timestamp1.','.$timestamp;
		$datet=($timestamp1-$timestamp);
		$date2=$datet;
		$fdate= floor($date2/3600);
		$fdate22= floor($date2/(24*3600));
		$fh=$fdate22*24;
		$fdate2= floor(($date2/3600)-$fh);
		//$fdate2= floor($date2/3600);
		$fdate1= floor($date2/60 % 60);
		$visit1=-$fdate.' Hr'.' '.$fdate1.' Min';	
		$visit2=$fdate22.' Days '.$fdate2.' Hr'.' '.$fdate1.' Min'; 
		if(strlen($datevisit)>2)
		{
		if($fdate22>0)
		{
		$visit2=$fdate22.' Days '.$fdate2.' Hr'.' '.$fdate1.' Min';
		}
		else
		{
		$visit2=$fdate2.' Hr'.' '.$fdate1.' Min';
		}
		}
		else
		{
		$visit2='';
		}


	$sqlalloc="select count(id) as num from allocation_tbl where user_code='$user_code' and status='4'  and unix_time<='$unix_time'  " ;
	$resultalloc=mysql_query($sqlalloc);
	$dataalloc=mysql_fetch_array($resultalloc);
	
	$sqldone="select count(id) as num from allocation_tbl where user_code='$user_code' and report_date = '$dump_date'    and month like '%$y%'" ;
	$resultdone=mysql_query($sqldone);
	$datadone=mysql_fetch_array($resultdone);
	$done=$datadone[0];
	$allocations=$dataalloc[0];
	//$allocations2=$dataalloc2[0];
	$allocation=$allocations+$done;
	$allocationt +=$allocation;
	$donet +=$done;
	$pending=$allocation-$done;
	$pendingt +=$pending;
	$dir=$user_code.'//'.$dump_date;
	$dir2=$dump_date;
	if($j%2==0)
		 {
		 $color="#FFFAFA";  
		 }
		 else
		 {
		 $color="white";  
 		}
		if($pending>0)
		{
		$bg="#FFA07A";
		}
		else
		{
		$bg="white";
		}
		if($pending2>0)
		{
		$bg2="#FFFF00";
		}
		else
		{
		$bg2="white";
		}
	if($allocation>0)
	{
	?>

<tr  bgcolor=" <?php echo $color;?>" height="15">
<td   align="center"><font size="2"><b><?php echo $j ;?></b></font></td>
<td align="center"><font size="2"><b><?php echo strtoupper($datauser['first_name'].' '.$datauser['last_name']);?></b></font></td>
<td align="center"><font size="2"><b><?php echo strtoupper($datauser['mobile']);?></b></font></td>
<td   align="center"><font size="2"><b><?php echo $datauser['zone'];?></b></font></td>
<td   align="center"><font size="2"><b><?php echo $datauser['location'];?></b></font></td>
<td   align="center"><font size="2"><b><?php echo $dataattempt['report_time'];?></b></font></td>
<td   align="center"><font size="2"><b><?php echo $dataattemptl['report_time'];?></b></font></td>
<td  align="center"  style="height:10px;"><font size="4" ><b><?php echo $allocation;?></b></font></td>
<td  align="center"  style="height:10px;"><font size="4" ><a href="" onClick="window.open('detailsfetodaydone.php?id=<?php echo "$dir"; ?>','popup','width=950,height=500,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=center,menubar=no,status=no,left=100,top=100'); return false"><b><?php echo $done;?></b></a></font></td>
<td  align="center"  style="height:10px;"><font size="4" ><a href="" onClick="window.open('detailsfetodaypending.php?id=<?php echo "$dir"; ?>','popup','width=950,height=500,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=center,menubar=no,status=no,left=100,top=100'); return false"><b><?php echo $pending;?></b></a></font></td>
<td  align="center"  style="height:10px;"><font size="4" ><b><?php echo $visit2;?></b></font></td>
</tr>
<?php
	$j++; } } ?>
<tr >
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b></b></font></td>
<td align="center"><font size="2"><b>Total</b></font></td>
<td  align="center" ><font size="4"><b><?php echo $allocationt;?></b></font></td>
<td  align="center" ><font size="4"><a href="" onClick="window.open('detailsallfetodaydone.php?id=<?php echo "$dir2"; ?>','popup','width=1250,height=500,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=center,menubar=no,status=no,left=100,top=100'); return false"><b><?php echo $donet;?></b></a></font></td>
<td  align="center" ><font size="4"><b><a href="" onClick="window.open('detailsfetodayallpending.php?id=<?php echo "$dir2"; ?>','popup','width=950,height=500,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=center,menubar=no,status=no,left=100,top=100'); return false"><b><?php echo $pendingt;?></b></a></font></td>
</tr>
</tbody>
 </table>
</td>
</tr>
</table>

</div>
</body>
</html>			
